Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7387 - Deskjet 600C on /dev/lp0 still not probed after updating /etc/conf.modules. Printer subsystem not starting so 'lpc' gets "connection refused"
Summary: Deskjet 600C on /dev/lp0 still not probed after updating /etc/conf.modules. ...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lpr
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-28 12:45 UTC by Tom Gagne
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-28 18:34:53 UTC


Attachments (Terms of Use)
/etc/conf.modules (deleted)
1999-11-28 18:26 UTC, Tom Gagne
no flags Details

Description Tom Gagne 1999-11-28 12:45:44 UTC
I've read the printer bugs and the recommended add to /etc/conf.modules
(alias par something or other).  After doing that I rebooted and I still
get the error trying to add my printer that no printers were found on
/dev/lp0-2.

Then, when I went back into Bugzilla I couldn't get any of my queries to
work and suddenly doubted how I got in there the first time!  So, I'm
submitting another bug report.

Comment 1 Bernhard Rosenkraenzer 1999-11-28 14:12:59 UTC
Make sure the printer port is activated and set to the correct mode (EPP or
Bidirectional should do) in the BIOS.

Comment 2 Tom Gagne 1999-11-28 16:11:59 UTC
The BIOS were cet to something like ECB, but I changed it to EPP1.9 and loaded
the latest lpr from rawhide (1.47, I think) and when trying to add a printer I
still get complaints that no devices were discovered on /dev/lp0, /dev/lp1,
/dev/lp2.

I haven't checked w95 since switching to epp, but my printer does (did) work
over there, and on RHat 5.1.

I discovered the reason my bugzilla query didn't work was I set the arch to ALL,
thinking it would show me lpr bugs on ALL architectures, but instead it only
shows lpr bugs affecting ALL archs.

Comment 3 Bernhard Rosenkraenzer 1999-11-28 16:17:59 UTC
Please send me a copy of your /etc/conf.modules and /etc/printcap, and the
output of "ls -l /dev/lp0" and "lsmod" after trying to print.

Comment 4 Tom Gagne 1999-11-28 18:26:59 UTC
Created attachment 18 [details]
/etc/conf.modules

Comment 5 Tom Gagne 1999-11-28 18:31:59 UTC
ls -l /dev/lp0
  0 crw-rw----   1 root     daemon     6,   0 May  5  1998 /dev/lp0

Also, how is it you can receive an attachment from a form?  Seems insecure.  I
would much rather have been able to email a reply with the file attached.

Comment 6 Bernhard Rosenkraenzer 1999-11-28 18:34:59 UTC
Your /etc/conf.modules is broken.
It's parport_lowlevel, not parpart_lowlevel.

Receiving attachments over a form is some Netscape feature, I think.
Netscape transfers the filename you give it to the server.
Yes, it is insecure, that's why I didn't ask you to attach your /etc/shadow. ;)

Comment 7 Tom Gagne 1999-11-29 01:03:59 UTC
Thank you very much.  If I'm going to have a typo pointed out to me I'd rather
it happen quickly (and politely) then not.  Thanks again.


Note You need to log in before you can comment on or make changes to this bug.